ML Prep API (v1)
Download OpenAPI description
Languages
Servers
Mock server
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/protocols/find-existing-protocols
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/protocols/find-existing-protocols' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: multipart/form-data' \
-F Files=string \
-F ZipFileProtocolEntry=stringResponse
application/json
[ { "name": "string", "viewName": "string", "doesExist": true, "type": "string", "lastModifiedDateOfExisting": "2019-08-24T14:15:22Z", "lastModifiedDateOfImport": "2019-08-24T14:15:22Z" } ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/protocols/favorite
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/protocols/favorite' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-d '{
"id": 0,
"favorite": true
}'